Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects
Class EnterpriseObjectHistory

    java.lang.Object
      com.sun.mdm.index.objects.EnterpriseObjectHistory

All Implemented Interfaces:
  java.io.Serializable

public class EnterpriseObjectHistory
extends java.lang.Object
implements java.io.Serializable

Class providing access to before / after images of an EnterpriseObject for a given transaction

See Also:
  Serialized Form

Constructor Summary
`EnterpriseObjectHistory(RecreateResult recreateResult)` Creates a new instance of EnterpriseHistory

Method Summary
`EnterpriseObject` | `getAfterEO()` Get the after image of the EO
`EnterpriseObject` | `getAfterEO2()` Get the after image of the merged EO after unmerge
`EnterpriseObject` | `getBeforeEO1()` Get the before image of the EO.
`EnterpriseObject` | `getBeforeEO2()` Get the before image of the EO.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseObjectHistory

    public EnterpriseObjectHistory(RecreateResult recreateResult)

  Creates a new instance of EnterpriseHistory

  Parameters:
    `recreateResult` - recreateResult object from transaction manager

Method Detail

### getAfterEO

    public EnterpriseObject getAfterEO()

  Get the after image of the EO

  Returns:
    after image of EO

### getAfterEO2

    public EnterpriseObject getAfterEO2()

  Get the after image of the merged EO after unmerge

  Returns:
    after image of merged EO after unmerge

### getBeforeEO1

    public EnterpriseObject getBeforeEO1()

  Get the before image of the EO. Note that some transaction involve more than one EO in the before image (such as merge transactions). Therefore this method returns the EO referenced by the EUID or EUID1 field.

  Returns:
    before image of EO

### getBeforeEO2

    public EnterpriseObject getBeforeEO2()

  Get the before image of the EO. Note that some transaction involve more than one EO in the before image (such as merge transactions). Therefore this method returns the EO referenced by the EUID or EUID2 field.

  Returns:
    before image of EO

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.